from typing import overload
import ghidra.app.util.bin
import ghidra.program.model.data
import ghidra.program.model.listing
import ghidra.util.task
import java.lang


class ArtHeader(object, ghidra.app.util.bin.StructConverter):
    ASCII: ghidra.program.model.data.DataType
    BYTE: ghidra.program.model.data.DataType
    DWORD: ghidra.program.model.data.DataType
    IBO32: ghidra.program.model.data.DataType
    IBO64: ghidra.program.model.data.DataType
    POINTER: ghidra.program.model.data.DataType
    QWORD: ghidra.program.model.data.DataType
    SLEB128: ghidra.program.model.data.SignedLeb128DataType
    STRING: ghidra.program.model.data.DataType
    ULEB128: ghidra.program.model.data.UnsignedLeb128DataType
    UTF16: ghidra.program.model.data.DataType
    UTF8: ghidra.program.model.data.DataType
    VOID: ghidra.program.model.data.DataType
    WORD: ghidra.program.model.data.DataType







    def equals(self, __a0: object) -> bool: ...

    def getArtMethodCountForVersion(self) -> int: ...

    def getClass(self) -> java.lang.Class: ...

    def getImageBegin(self) -> int: ...

    def getImageSize(self) -> int: ...

    def getMagic(self) -> unicode: ...

    def getOatChecksum(self) -> int: ...

    def getOatDataBegin(self) -> int: ...

    def getOatDataEnd(self) -> int: ...

    def getOatFileBegin(self) -> int: ...

    def getOatFileEnd(self) -> int: ...

    def getPointerSize(self) -> int: ...

    def getVersion(self) -> unicode: ...

    def hashCode(self) -> int: ...

    def markup(self, __a0: ghidra.program.model.listing.Program, __a1: ghidra.util.task.TaskMonitor) -> None: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toDataType(self) -> ghidra.program.model.data.DataType: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

    @property
    def artMethodCountForVersion(self) -> int: ...

    @property
    def imageBegin(self) -> int: ...

    @property
    def imageSize(self) -> int: ...

    @property
    def magic(self) -> unicode: ...

    @property
    def oatChecksum(self) -> int: ...

    @property
    def oatDataBegin(self) -> int: ...

    @property
    def oatDataEnd(self) -> int: ...

    @property
    def oatFileBegin(self) -> int: ...

    @property
    def oatFileEnd(self) -> int: ...

    @property
    def pointerSize(self) -> int: ...

    @property
    def version(self) -> unicode: ...