from typing import List
from typing import overload
import ghidra.app.util.bin
import ghidra.file.formats.android.dex.format
import ghidra.program.model.data
import java.lang


class CodeItem(object, ghidra.app.util.bin.StructConverter):
    ASCII: ghidra.program.model.data.DataType
    BYTE: ghidra.program.model.data.DataType
    CODE_ITEM: unicode = u'code_item'
    DWORD: ghidra.program.model.data.DataType
    IBO32: ghidra.program.model.data.DataType
    IBO64: ghidra.program.model.data.DataType
    POINTER: ghidra.program.model.data.DataType
    QWORD: ghidra.program.model.data.DataType
    SLEB128: ghidra.program.model.data.SignedLeb128DataType
    STRING: ghidra.program.model.data.DataType
    ULEB128: ghidra.program.model.data.UnsignedLeb128DataType
    UTF16: ghidra.program.model.data.DataType
    UTF8: ghidra.program.model.data.DataType
    VOID: ghidra.program.model.data.DataType
    WORD: ghidra.program.model.data.DataType



    def __init__(self, __a0: ghidra.app.util.bin.BinaryReader): ...



    def equals(self, __a0: object) -> bool: ...

    def getClass(self) -> java.lang.Class: ...

    def getDebugInfo(self) -> ghidra.file.formats.android.dex.format.DebugInfoItem: ...

    def getDebugInfoOffset(self) -> int: ...

    def getHandlerList(self) -> ghidra.file.formats.android.dex.format.EncodedCatchHandlerList: ...

    def getIncomingSize(self) -> int: ...

    def getInstructionBytes(self) -> List[int]: ...

    def getInstructionSize(self) -> int: ...

    def getInstructions(self) -> List[int]: ...

    def getOutgoingSize(self) -> int: ...

    def getPadding(self) -> int: ...

    def getRegistersSize(self) -> int: ...

    def getTries(self) -> List[object]: ...

    def getTriesSize(self) -> int: ...

    def hashCode(self) -> int: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toDataType(self) -> ghidra.program.model.data.DataType: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

    @property
    def debugInfo(self) -> ghidra.file.formats.android.dex.format.DebugInfoItem: ...

    @property
    def debugInfoOffset(self) -> int: ...

    @property
    def handlerList(self) -> ghidra.file.formats.android.dex.format.EncodedCatchHandlerList: ...

    @property
    def incomingSize(self) -> int: ...

    @property
    def instructionBytes(self) -> List[int]: ...

    @property
    def instructionSize(self) -> int: ...

    @property
    def instructions(self) -> List[int]: ...

    @property
    def outgoingSize(self) -> int: ...

    @property
    def padding(self) -> int: ...

    @property
    def registersSize(self) -> int: ...

    @property
    def tries(self) -> List[object]: ...

    @property
    def triesSize(self) -> int: ...