from typing import overload
import ghidra.app.util.bin
import ghidra.program.model.data
import java.lang


class Ext4Extent(object, ghidra.app.util.bin.StructConverter):
    ASCII: ghidra.program.model.data.DataType
    BYTE: ghidra.program.model.data.DataType
    DWORD: ghidra.program.model.data.DataType
    IBO32: ghidra.program.model.data.DataType
    IBO64: ghidra.program.model.data.DataType
    POINTER: ghidra.program.model.data.DataType
    QWORD: ghidra.program.model.data.DataType
    SLEB128: ghidra.program.model.data.SignedLeb128DataType
    STRING: ghidra.program.model.data.DataType
    ULEB128: ghidra.program.model.data.UnsignedLeb128DataType
    UTF16: ghidra.program.model.data.DataType
    UTF8: ghidra.program.model.data.DataType
    VOID: ghidra.program.model.data.DataType
    WORD: ghidra.program.model.data.DataType



    @overload
    def __init__(self, __a0: ghidra.app.util.bin.BinaryReader): ...

    @overload
    def __init__(self, __a0: ghidra.app.util.bin.ByteProvider): ...



    def equals(self, __a0: object) -> bool: ...

    def getClass(self) -> java.lang.Class: ...

    def getEe_block(self) -> int: ...

    def getEe_len(self) -> int: ...

    def getEe_start_hi(self) -> int: ...

    def getEe_start_lo(self) -> int: ...

    def getExtentBlockCount(self) -> int: ...

    def getExtentStartBlockNumber(self) -> long: ...

    def getStreamBlockNumber(self) -> long: ...

    def hashCode(self) -> int: ...

    def notify(self) -> None: ...

    def notifyAll(self) -> None: ...

    def toDataType(self) -> ghidra.program.model.data.DataType: ...

    def toString(self) -> unicode: ...

    @overload
    def wait(self) -> None: ...

    @overload
    def wait(self, __a0: long) -> None: ...

    @overload
    def wait(self, __a0: long, __a1: int) -> None: ...

    @property
    def ee_block(self) -> int: ...

    @property
    def ee_len(self) -> int: ...

    @property
    def ee_start_hi(self) -> int: ...

    @property
    def ee_start_lo(self) -> int: ...

    @property
    def extentBlockCount(self) -> int: ...

    @property
    def extentStartBlockNumber(self) -> long: ...

    @property
    def streamBlockNumber(self) -> long: ...